﻿using System.Windows;
using ThinkGeo.MapSuite;
using ThinkGeo.MapSuite.Layers;
using ThinkGeo.MapSuite.Wpf;

namespace _9358
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void map_Loaded(object sender, RoutedEventArgs e)
        {
            map.MapUnit = GeographyUnit.DecimalDegree;
            LayerOverlay myOverlay = new LayerOverlay();
            map.Overlays.Add(myOverlay);
            myOverlay.Open();
            
            
            GdalRasterLayer fdoRaster = new GdalRasterLayer(@"..\..\AppData\test.dt2");

            myOverlay.Layers.Add(fdoRaster);

            map.CurrentExtent = myOverlay.GetBoundingBox();

            map.Refresh();
        }
    }
}
